// Load dts shapes and merge animations
datablock TSShapeConstructor(YuiDts)
{
	baseShape  = "./Yui.dts";
	sequence0  = "./root.dsq root";

	sequence1  = "./walk.dsq run";
	sequence2  = "./walk.dsq walk";
	sequence3  = "./back.dsq back";
	sequence4  = "./walk.dsq side";

	sequence5  = "./crouch.dsq crouch";
	sequence6  = "./crouchrun.dsq crouchRun";
	sequence7  = "./crouchrun.dsq crouchBack";
	sequence8  = "./crouchrun.dsq crouchSide";

	sequence9  = "./look.dsq look";
	sequence10 = "./headside.dsq headside";
	sequence11 = "./root.dsq headUp";

	sequence12 = "./jump.dsq jump";
	sequence13 = "./standjump.dsq standjump";
	sequence14 = "./fall.dsq fall";
	sequence15 = "./root.dsq land";

	sequence16 = "./armattack.dsq armAttack";
	sequence17 = "./armreadyleft.dsq armReadyLeft";
	sequence18 = "./armreadyright.dsq armReadyRight";
	sequence19 = "./armreadyboth.dsq armReadyBoth";
	sequence20 = "./spearready.dsq spearready";  
	sequence21 = "./spearthrow.dsq spearThrow";

	sequence22 = "./root.dsq talk";  

	sequence23 = "./death1.dsq death1"; 
	
	sequence24 = "./root.dsq shiftUp";
	sequence25 = "./root.dsq shiftDown";
	sequence26 = "./root.dsq shiftAway";
	sequence27 = "./root.dsq shiftTo";
	sequence28 = "./root.dsq shiftLeft";
	sequence29 = "./root.dsq shiftRight";
	sequence30 = "./rotCW.dsq rotCW";
	sequence31 = "./rotCCW.dsq rotCCW";

	sequence32 = "./root.dsq undo";
	sequence33 = "./root.dsq plant";

	sequence34 = "./sit.dsq sit";

	sequence35 = "./root.dsq wrench";

   sequence36 = "./activate.dsq activate";
   sequence37 = "./activate.dsq activate2";

   sequence38 = "./root.dsq leftrecoil";
};    

datablock DebrisData( YuiDebris )
{
   explodeOnMaxBounce = false;

   elasticity = 0.15;
   friction = 0.5;

   lifetime = 4.0;
   lifetimeVariance = 0.0;

   minSpinSpeed = 40;
   maxSpinSpeed = 600;

   numBounces = 5;
   bounceVariance = 0;

   staticOnMaxBounce = true;
   gravModifier = 1.0;

   useRadiusMass = true;
   baseRadius = 1;

   velocity = 20.0;
   velocityVariance = 12.0;
};     

datablock PlayerData(PlayerYui : PlayerStandardArmor)
{

   shapeFile = "./Yui.dts";

   canJet = 1;
   uiName = "K-ON Yui";
   maxDamage = 100;
 };


datablock PlayerData(PlayerYuiNoJets : PlayerStandardArmor)
{

   shapeFile = "./Yui.dts";

   canJet = 0;
   uiName = "K-ON Yui No jet";
   maxDamage = 100;
 };
